// kozos javascript fuggvenyek 
// Nmeth kos 1998, Trk Zoltn 1998-99, Palkovics Ferenc 1998-99.

// cookie iras
function newCookie(name, value){ 
	document.cookie = name+"="+value+"; expires=Tue, 01-NOV-2010 00:00:01 GMT;" 
} 

// cookie olvasas
function readCookie(name){
  var cookieFound = false;
  var start = 0;
  var end = 0;
  if (!(document.cookie.indexOf("name"+"="))) newCookie(name,"000000");
  var cookieString = document.cookie;

  var i = 0;
	while (i <= cookieString.length){ 
		start = i;
		end = start + name.length;
		if (cookieString.substring(start,end) == name){ 
			cookieFound = true; break
		} 
		i++
	} 
    if (cookieFound)
    { start = end + 1
        end = document.cookie.indexOf(";",start)
        if (end < 0) end = document.cookie.length
           else { if (end < start) end = document.cookie.length };
	return document.cookie.substring(start,end)
    } 
    return ''
} 

function putString(mibe, hova, mit){
  if (hova == 0) return mit + mibe.substring(hova + mit.length, mibe.length) 
  var eleje = mibe.substring(0, hova);
  var vege  = mibe.substring(hova + mit.length + 1, mibe.length);
  return eleje + mit + vege;
}

function leadingZero(s, required_length){
  if (required_length <= s.length) return s 
  var zeroStr = "00000000";
  return zeroStr.substring(0, required_length - s.length) + s;
}

// kiolvassa az aktualis utvonal szamat
function getActualPathNum(){
	return parseInt(readCookie("MozaikPathNo").substring(0,2))
}

// beallitja az utvonal szamat p-re
function setActualPath(p){
  var path = readCookie("MozaikPathNo");  
  path = putString(path, 0, leadingZero(p.toString(), 2));
  newCookie("MozaikPathNo", path);
}

// kiolvassa az aktualis lepes szamat
function getActualPosition(){
  var num = 0;
  var s = readCookie("MozaikPathNo");
  var n = s.substring(2, 7);
  num = parseFloat(n,10);
  return num;
}

// beallitja az aktualis lepes szamat
function setActualPosition(p){
  var pos = readCookie("MozaikPathNo");
  pos = putString(pos, 2, leadingZero(p.toString(), 4));
  newCookie("MozaikPathNo", pos);
}

function getActualPathLetter(){
  var letters = "ABCDEFGHIJKL";
  return letters.charAt(getActualPathNum());
}

function tart_link(){
  window.open('MStart3.htm','main_frame');
  return false;
}

function ekezetConv(p){
if (navigator.appName == "Microsoft Internet Explorer") return p;
var i = 0;
var r = '';
while (i < p.length){
        if (p[i]=="") r = r + "&aacute;"
        else if (p[i]=="") r = r + "&eacute;"
        else if (p[i]=="") r = r + "&Aacute;"
        else if (p[i]=="") r = r + "&Eacute;"
        else if (p[i]=="") r = r + "&iacute;"
        else if (p[i]=="") r = r + "&oacute;"
        else if (p[i]=="") r = r + "&Iacute;"
        else if (p[i]=="") r = r + "&Oacute;"
        else if (p[i]=="") r = r + "&ouml;"
        else if (p[i]=="") r = r + "&uuml;"
        else if (p[i]=="") r = r + "&Ouml;"
        else if (p[i]=="") r = r + "&Uuml;"
        else if (p[i]=="") r = r + "&ocirc;"
        else if (p[i]=="") r = r + "&ucirc;"
	else if (p[i]=="") r = r + "&Ocirc;"
        else if (p[i]=="") r = r + "&Ucirc;"
	else r = r + p[i];
	i++;
	}
return r;
}

function setBanners(anchor){

  if (parent.frames.length == 0 ) return 

  var banner_Prefix = '<HTML><HEAD>\n<META http-equiv="Content-Type" content="text/html; charset=windows-1250">\n<STYLE TYPE="text/css"> .bnr { color:yellow; font-size:10pt; font-family:Arial Narrow CE,Verdana,Ariel; font-weight:bold } </STYLE>\n</HEAD>\n'+
      '<BODY bgcolor="#261E33" background="Kep/MSbanner.jpg"><TABLE valign=top border=0 cellspacing=0 cellpadding=0>\n<TR><TD height=54 width=193><img src=../MozaHome/MozStyl1/egy.gif width=193 height=20></TD><TD width="100%"></TD><TD width=36></TD></TR>\n'+
      '<TR><TD></TD><TD valign=top align=left width="100%"><P class="bnr">';
  var banner_Postfix = "</P></TD></TR></TABLE></BODY></HTML>";
  actualposition = getActualPosition();
  var path_text = getActualPathLetter() + "/" + getActualPosition();
  setActualPosition(actualposition);

  if (anchor.length > 0)
     if (top.tart_frame != '') top.tart_frame.location.replace(anchor);

  d=top.banner_frame.document;
  d.open("text/html","replace");
  d.writeln(banner_Prefix+ekezetConv(document.title)+'</P></TD><TD valign=top align=right><P class="bnr"><font face="Tahoma">'+path_text+'</font>&nbsp;&nbsp;'+banner_Postfix);
  d.close();
}

function detectBrowser(){
  br_netscape = 0;
  br_explorer = 1;
  browserType = -1;
  if (navigator.appVersion < "4") { alert("Internet Explorer 4.0; Navigator 4.0\nvagy magasabb verziszm bngsz szksges!"); return false };
  if (navigator.javaEnabled()) {} else { alert("A Java futtats nincs engedlyezve a bngszben!"); return false };
  if (navigator.appName == "Netscape") { browserType = br_netscape; return true };
  if (navigator.appName == "Microsoft Internet Explorer") { browserType = br_explorer; return true };
}

////////////////////////////
// parameterek: 
// includeX - vmilyen jsc file, amiben levo fuggvenyre a magyarazat szovegeben hivatkoznak 
//            (erre az info ablakok egymasba agyazasa miatt van szukseg)
var INFOWIN;
var InfoWinMgy = "";

function InfoWin(HTMLtext,mx,my,include1,include2,include3){

	var dx= (arguments.length>1) ?mx :300;
	var dy= (arguments.length>2) ?my :120;

	if (IMAGEWIN!=null && !IMAGEWIN.closed) IMAGEWIN.close();
	var bNavig = (navigator.appName == "Netscape");

        if (bNavig) if (opener!=null) opener.top.InfoWinMgy=HTMLtext+"<P><SCR"+"IPT>B_BACK()"+";B_EXIT();B_FWD();"+"</SCR"+"IPT></P>"
	   else top.InfoWinMgy=HTMLtext+"<P><SCR"+"IPT>B_BACK()"+";B_EXIT();B_FWD();"+"</SCR"+"IPT></P>";

	if (window.name!="InfoW" || !bNavig) {
	   INFOWIN=window.open((bNavig) ? "MSblank.htm" : "", "InfoW",
			"location=0"+",Width="+(dx)+",Height="+(dy)
			+",screenX="+(this.screenX+768-dx)+",screenY="+(this.screenY+124)
			+",toolbar=0,menubar=0,status=0,directories=0,scrollbars=1,marginwidth=4,marginheight=0"
			+",resizable=1,copyhistory=0");
	
           if (bNavig && INFOWIN!=null) { INFOWIN.focus(); return }

	   InfoWinMgy = ekezetConv(HTMLtext);

	   var cim=""; 
	   for(var i=0;i<InfoWinMgy.length && (cim=="");i++) {
		if (InfoWinMgy.substring(i,i+3).toLowerCase() == "<b>") { 
		for(var j=i+4;j<InfoWinMgy.length;j++) 
		  if (InfoWinMgy.substring(j,j+4).toLowerCase()=="</b>") { 
			cim=InfoWinMgy.substring(i+3,j); j=InfoWinMgy.length }  //lenght
			} 
		}

	   var p1="<html><head>\n"
		+"<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1250\">\n"
		+"<link rel=\"stylesheet\" type=\"text/css\" href=\"../MozaHome/MozStyl1/moz_stil.css\">\n"
		+"<SCR"+"IPT type=\"text/javascript\" charset=\"windows-1250\" src=\"../MozaHome/MozStyl1/moz_java.js\"></SCR"+"IPT>\n"
		+ ((include1=="") ? "" : "<SCR"+"IPT src='"+include1+"'></SCR"+"IPT>\n") 
		+ ((include2=="") ? "" : "<SCR"+"IPT src='"+include2+"'></SCR"+"IPT>\n") 
		+ ((include3=="") ? "" : "<SCR"+"IPT src='"+include3+"'></SCR"+"IPT>\n") 
	   var p2="<STYLE TYPE='text/css'> p,ol,ul { color:black; font-size:10pt; font-family:Times New Roman CE,Times CE }</STYLE>"
		+"<title>";
	   var p3="</title>\n</head>\n<body background='../MozaHome/MozStyl1/MS_bgn0.gif'>\n<p>";

	   INFOWIN.document.open("text/html");
	   INFOWIN.document.writeln(p1+p2+cim+p3);
	   INFOWIN.document.writeln(InfoWinMgy);
	   INFOWIN.document.writeln("<P><SCR"+"IPT>B_BACK()"+";B_EXIT();B_FWD();"+"</SCR"+"IPT></P>");
           INFOWIN.document.writeln("</body></html>");
	   INFOWIN.document.close();
	   INFOWIN.focus();
	} else { document.open("text/html"); document.location="MSblank.htm"; return };

}

function InfoWinWrite() { 
	if (opener!=null) { document.write(opener.top.InfoWinMgy) }
}

function InfoVRX(kepnev,kepsz,szoveg1,szoveg2,mx,my,include1,include2,include3){
   var dx = (arguments.length>4) ?mx :300;
   var szov = "<table border=0 cellspaceing=2 width="+(dx-40)+"><tr><td width="+kepsz+">"+
	   "<img src="+kepnev+" width="+kepsz+"></td>\n"
	   +"<td align=top valign=top>"+szoveg1+"</td>\n"
	   +"</tr></table>"+szoveg2;
   ImageDownload(kepnev);
   InfoWin(szov,dx,my,include1,include2,include3);
}

function TextVRX(cim,szoveg,mx,my,include1,include2,include3){
   InfoWin('<p class="fogcim">'+cim+'</p><p>'+szoveg+'</p>',mx,my,include1,include2,include3);
}

//*** Kiskepablak megjelenitese
var IMAGEWIN;

function ImageWin(cim,HTMLtext,mx,my){
	var dx= (arguments.length>1) ?(Math.min(mx,700)) :280;
	var dy= (arguments.length>2) ?(Math.min(my,540)) :120;
	var p1="<HTML><HEAD>\n"
		+"<LINK rel='stylesheet' type='text/css' href='../MozaHome/MozStyl1/moz_stil.css'>\n"
		+"<META http-equiv='Content-Type' content='text/html; charset=windows-1250'>\n"
		+"<SCR"+"IPT SRC='../MozaHome/MozStyl1/moz_java.js'></SCR"+"IPT>\n<title>";
	var p2="</TITLE>\n</HEAD>\n<BODY bgcolor=#E8E8E0 background='../MozaHome/MozStyl1/MS_bg06.jpg'>\n";
	
	if (IMAGEWIN!=null && !IMAGEWIN.closed)  //a korabbi kep bezarasa (csak egy HTML oldalon belul mukodik!)
		IMAGEWIN.close();

	IMAGEWIN=window.open("", "IMAGEWIN", //+(new Date().getTime()), //ha tul nagy a kep, akkor kicsit szelesebb ablakban es gorgetosavval tesszuk ki...
		"location=0"+",Width="+(dx+((mx>dx||my>dy) ?40: 20))+",Height="+(dy+30+(cim!=null ?10+14*(Math.ceil(7*cim.length/dx)) :0))
			+",screenX="+(this.screenX+768-dx)+",screenY="+(this.screenY+124)
			+",toolbar=0,menubar=0,status=0,directories=0,scrollbars="+((mx>dx||my>dy) ?"1": "0")
			+",resizable=1,copyhistory=0");

	IMAGEWIN.document.open("text/html");
	IMAGEWIN.document.writeln(p1+cim+p2);
	IMAGEWIN.document.writeln(HTMLtext);
	IMAGEWIN.document.writeln("</BODY></HTML>");
	IMAGEWIN.document.close();
	IMAGEWIN.focus();
}

//Varakozas a kep letolteseig
var IMAGEVRX_I;
var IMAGEVRX_CIM;

function ImageDownload(kepnev){
  IMAGEVRX_I=new Image(); IMAGEVRX_I.src=kepnev;
  ImageWait();
}

function ImageWait(){
  if (IMAGEVRX_I.complete) return
  else setTimeout("ImageWait()",1000)
}

//Kiskepablak formaja
function ImageVRX(kepnev,cim){
  ImageDownload(kepnev);
  ImageWin(IMAGEVRX_CIM,"<A HREF='javascript:window.close()'><IMG src="+IMAGEVRX_I.src+" border=0 alt='Bezrjam?'></A>"
      +(IMAGEVRX_CIM!=null&&IMAGEVRX_CIM.length!=0 ?"<P><FONT color=black size='2' face='Arial CE'><CENTER>"+IMAGEVRX_CIM+"</CENTER></FONT></P>" :""),
       IMAGEVRX_I.width,IMAGEVRX_I.height);	
}
////////////////////////////////

//MAKRO (az utolso 2 parameter kozul legalabb egyik kell)
function KEP(kepnev,alairas,link){ 
	if (alairas==null || alairas.length==0) alairas="";
	if (link==nwHatraOn || link.length==0) link=alairas;
	document.write("<A HREF=\"javascript:ImageVRX('"+kepnev+"','"+alairas+"')\"><B>"+link+"</B></A>");
}

/////////////////////////////
//*** HTML szovegbe epitheto navigalo gombok
/////////////////////////////
var nwKilepNr  = new Image();   nwKilepNr.src="../MozaHome/MozStyl1/mn_kilep_navy.gif";
var nwKilepOn  = new Image();   nwKilepOn.src="../MozaHome/MozStyl1/on_kilep_navy.gif"; KilepNo=0;
var nwFelNr    = new Image();   nwFelNr.src="../MozaHome/MozStyl1/mn_fel_navy.gif";
var nwFelOn    = new Image();   nwFelOn.src="../MozaHome/MozStyl1/on_fel_navy.gif"; FelNo=0;
var nwHatraNr  = new Image();   nwHatraNr.src="../MozaHome/MozStyl1/mn_hatra_navy.gif";
var nwHatraOn  = new Image();   nwHatraOn.src="../MozaHome/MozStyl1/on_hatra_navy.gif"; HatraNo=0;
var nwEloreNr  = new Image();   nwEloreNr.src="../MozaHome/MozStyl1/mn_elore_navy.gif";
var nwEloreOn  = new Image();   nwEloreOn.src="../MozaHome/MozStyl1/on_elore_navy.gif"; EloreNo=0;

var nwFilmNr   = new Image();   nwFilmNr.src="../MozaHome/MozStyl1/mn_film.gif";
var nwFilmOn   = new Image();   nwFilmOn.src="../MozaHome/MozStyl1/on_film.gif"; FilmNo=0;
var nwZeneNr   = new Image();   nwZeneNr.src="../MozaHome/MozStyl1/mn_zene.gif";
var nwZeneOn   = new Image();   nwZeneOn.src="../MozaHome/MozStyl1/on_zene.gif"; ZeneNo=0;

var nwTesztNr  = new Image();   nwTesztNr.src="../MozaHome/MozStyl1/mn_teszt.gif";
var nwTesztOn  = new Image();   nwTesztOn.src="../MozaHome/MozStyl1/on_teszt.gif"; TesztNo=0;
var nwOsszNr   = new Image();   nwOsszNr.src="../MozaHome/MozStyl1/mn_ossz.gif";
var nwOsszOn   = new Image();   nwOsszOn.src="../MozaHome/MozStyl1/on_ossz.gif"; OsszNo=0;
var nwEvitaNr  = new Image();   nwEvitaNr.src="../MozaHome/MozStyl1/mn_evita.gif";
var nwEvitaOn  = new Image();   nwEvitaOn.src="../MozaHome/MozStyl1/on_evita.gif"; EvitaNo=0;
var nwCsikcsNr = new Image();   nwCsikcsNr.src="../MozaHome/MozStyl1/mn_csikcs.gif";
var nwCsikcsOn = new Image();   nwCsikcsOn.src="../MozaHome/MozStyl1/on_csikcs.gif"; CsikcsNo=0;

//makrok (parameterek elmaradhatnak)
function B_TOP(url){
	document.write("<a href='"+ (url!=null&&url.length!=0 ?url :"#top")+"' onMouseOver='FelGomb"+FelNo+".src=nwFelOn.src' onMouseOut='FelGomb"+FelNo+".src=nwFelNr.src'><img name='FelGomb"+FelNo+"' src='../MozaHome/MozStyl1/mn_fel_navy.gif' width='20' height='20' alt='Vissza a lap tetejre' border='0'></a>");
	FelNo++;
}
function B_BACK(url){
	document.write("<a href='"+ (url!=null&&url.length!=0 ?url :"javascript:history.back()") +"' onMouseOver='HatraGomb"+HatraNo+".src=nwHatraOn.src; window.status=HatraGomb"+HatraNo+".alt' onMouseOut='HatraGomb"+HatraNo+".src=nwHatraNr.src; window.status=\"\"'><img name='HatraGomb"+HatraNo+"' src='../MozaHome/MozStyl1/mn_hatra_navy.gif' width='20' height='20' alt='Elz oldal' border='0'></a>");
	HatraNo++;
}
function B_FWD(url){
	document.write("<a href='"+ (url!=null&&url.length!=0 ?url :"javascript:history.forward()") +"' onMouseOver='EloreGomb"+EloreNo+".src=nwEloreOn.src' onMouseOut='EloreGomb"+EloreNo+".src=nwEloreNr.src'><img name='EloreGomb"+EloreNo+"' src='../MozaHome/MozStyl1/mn_elore_navy.gif' width='20' height='20' alt='Kvetkez oldal' border='0'></a>");
	EloreNo++;
}
function B_EXIT(){
	document.write("<a href='javascript:window.close()" +"' onMouseOver='KilepGomb"+KilepNo+".src=nwKilepOn.src' onMouseOut='KilepGomb"+KilepNo+".src=nwKilepNr.src'><img name='KilepGomb"+KilepNo+"' src='../MozaHome/MozStyl1/mn_kilep_navy.gif' width='20' height='20' alt='Ablak bezrsa' border='0'></a>");
	KilepNo++;
}
